# Guntstream

The streaming solution for all your gunt absorption needs.

## Requirements

 - Nginx
 - [nginx-rtmp-module](https://github.com/arut/nginx-rtmp-module/)
 - ffmpeg
 - Python 3.6+ (older versions might work)
 - Pipenv
 - SQLite3

## Installation

1. Clone repository
2. Run `pipenv install`
3. Create an `instance` directory
4. Edit `config.example.py` and save it to `instance/config.py`
    - You will want to generate a random for `SECRET_KEY`. You can do so by
      running `python -c 'import os; print(os.urandom(16))'` and copying the
      output like this: `SECRET_KEY = b'RandomCharacters'`
    - Pick a good password for `MASTER_KEY`. You will give this key to users who
      will sign up for the server.
    - `NGINX_SECRET` should be set to a good password as well, but I recommend
      generating a UUID for it.
    - `RTMP_ROOT` doesn't have to change.
5. Run `FLASK_APP=streaming pipenv run flask db upgrade`
6. Copy `nginx-rtmp.conf` in `/etc/nginx/` and add
   `include /etc/nginx/nginx-rtmp.conf;` at the end of `/etc/nginx/nginx.conf`.
7. Copy `nginx.conf` inside `/etc/nginx/sites-available` under a name like
   `guntstream.conf`. Configure it as you would with a normal nginx virtual host.
   Make sure to link it over to `sites-enabled`.
    - IMPORTANT! Make sure to replace the `BAZQUUX` at the end of the `on_publish`
      and `on_publish_done` lines with the value of `NGINX_SECRET`.
8. Start a `screen` instance.
9. Activate the virtualenv with `pipenv shell`.
10. Run uwsgi like so: `uwsgi -s /tmp/guntstream.sock --manage-script-name --mount /=streaming:create_app`
    - Make sure to check out the [uwsgi documentation](https://uwsgi-docs.readthedocs.io/en/latest/).
11. It should "just work".

TODO accounts etc.

## License

&copy; The Collective of Individualists 2019. This project is licensed under the GNU General Public License, Version 3.
