"""Create emotes table

Revision ID: 5a93d137e7fe
Revises: ca34efd11df3
Create Date: 2019-12-06 20:52:49.831770

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '5a93d137e7fe'
down_revision = 'ca34efd11df3'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('emote',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('channel_id', sa.Integer(), nullable=False),
    sa.Column('emote_name', sa.String(length=64), nullable=False),
    sa.Column('emote_url', sa.String(length=64), nullable=False),
    sa.ForeignKeyConstraint(['channel_id'], ['channel.id'], name=op.f('fk_emote_channel_id_channel')),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_emote')),
    sa.UniqueConstraint('emote_name', name=op.f('uq_emote_emote_name'))
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('emote')
    # ### end Alembic commands ###
