"""Views compatible with cytube's system."""

from flask import (
    jsonify, request, Blueprint, abort
)

from .db import Channel


bp = Blueprint('cytube', __name__)


@bp.route("/<string:username>.json")
def stream_json(username):
    channel = Channel.query.filter_by(username=username).first_or_404()
    if not channel.live:
        abort(404)

    return jsonify({
        "title": channel.stream_title,
        "duration": 0,
        "live": True,
        "sources": [
            {
                "url": request.host_url + "hls/source/" + channel.current_stream_id + ".m3u8",
                "contentType": "application/x-mpegURL",
                "quality": 720,  # TODO figure out a proper value for this
            },
            {
                "url": request.host_url + "hls/mobile/" + channel.current_stream_id + ".m3u8",
                "contentType": "application/x-mpegURL",
                "quality": 240,
            }
            # You can add other qualities here as necessary.
        ]
    })
